/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Namespace.js 3438 2013-06-12 12:42:26Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * Giscuit namespace
 */
if (typeof(Giscuit) == 'undefined') {
   var Giscuit = {};
}
Giscuit.namespace = function() {
    var a = arguments, o = null, i, j, d;
    for (i = 0; i < a.length; i = i + 1) {
        d = a[i].split(".");
        o = window;
        for (j = 0; j < d.length; j = j + 1) {
            o[d[j]] = o[d[j]] || {};
            o = o[d[j]];
        }
    }
    return o;
};
Giscuit.namespace("Giscuit.Util");
Giscuit.namespace("Giscuit.Control");
Giscuit.namespace("Giscuit.Map");
Giscuit.namespace("Giscuit.Layer");
Giscuit.namespace("Giscuit.Color");
Giscuit.namespace("Giscuit.Datatable");
Giscuit.namespace("Giscuit.Menu");
Giscuit.namespace("Giscuit.Init");

Giscuit.namespace("Giscuit.Mobile");
Giscuit.namespace("Giscuit.Mobile.Control");
Giscuit.namespace("Giscuit.Mobile.Layer");

/**
 * gt namespace
 */
if (typeof gt == "undefined") {
    var gt = {};
}
gt.namespace = function() {
    var a = arguments, o = null, i, j, d;
    for (i = 0; i < a.length; i = i + 1) {
        d = a[i].split(".");
        o = window;
        for (j = 0; j < d.length; j = j + 1) {
            o[d[j]] = o[d[j]] || {};
            o = o[d[j]];
        }
    }
    return o;
};
gt.namespace("gt.layer");
gt.namespace("gt.control");
gt.namespace("gt.config");
gt.namespace("gt.geolocation");
gt.namespace("gt.translate");
gt.namespace("gt.snap");
gt.namespace("gt.tooltip");
gt.namespace("gt.menu");
gt.namespace("gt.accord");
gt.namespace("gt.init");
